> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List functions

> Retrieve a list of all Python functions in your organization.



## OpenAPI

````yaml get /v1/functions
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.30.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/functions:
    get:
      tags:
        - Functions
      summary: List functions
      description: Retrieve a list of all Python functions in your organization.
      operationId: list_python_function_endpoint_v1_functions_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 20
            title: Limit
        - name: order
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/OrderEnum'
            default: desc
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: x-team-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Team-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PythonFunctionResponse'
                title: Response List Python Function Endpoint V1 Functions Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    OrderEnum:
      type: string
      enum:
        - asc
        - desc
      title: OrderEnum
      description: Options for order query param in list endpoints.
    PythonFunctionResponse:
      properties:
        id:
          type: string
          title: Id
        version:
          type: integer
          title: Version
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        active:
          type: boolean
          title: Active
        code:
          type: string
          title: Code
        user_id:
          type: string
          title: User Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - version
        - name
        - description
        - active
        - code
        - user_id
        - created_at
        - updated_at
      title: PythonFunctionResponse
      description: Response model for a Python function, including code and user info.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Authorization Bearer Token
      in: header
      name: Authorization

````